package com.persagy.server.jms

import org.springframework.amqp.rabbit.annotation.RabbitHandler
import org.springframework.amqp.rabbit.annotation.RabbitListener
import org.springframework.stereotype.Component

/**
 * 接收消息
 *
 * @author wx
 */
@Component
class TopicReceiver {

    @RabbitListener(queues = ["queue-adm"])
    @RabbitHandler
    fun receiveMessage1(str: String) {
        println("我是监听queue-adm的,仅满足queue-adm的过来 ， $str")
    }


}