package com.persagy.server.jms

import org.springframework.amqp.core.AmqpTemplate
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.stereotype.Component
import org.springframework.stereotype.Service

/**
 * 消息发送类
 */
@Component
@Service
class TopicSender {
    @Autowired
    private val amqpTemplate: AmqpTemplate? = null


    // 交换机  rountingkey  发送的内容  发送消息到相应的Exchange
    fun sendMessage() {
        amqpTemplate!!.convertAndSend("exchange-dmp", "routing-center-adm", "我是发送消息的内容! ")
    } /*
         向   名称为 topicExchange 的交换机 发送满足routingkey规则为 "topic.messages " 的内容为 "我是发送消息的内容"  的消息
         */
}