package com.persagy.server.models

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.server.datacenter.models.entities.base.BaseInfo
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

@ApiModel(description = "资产的设备族")
class PropertyFamily : BaseInfo() {

    /** 设备族编码 */
    @ApiModelProperty(value = "设备族编码")
    @Column(name = "family")
    @JSONField(name = "Family")
    var family: String? = null

    /** 数量 */
    @ApiModelProperty(value = "数量")
    @Column(name = "count")
    @JSONField(name = "Count")
    var count: Int? = null

    /** 设备族名 */
    @ApiModelProperty(value = "设备族名")
    @Column(name = "family_name")
    @JSONField(name = "FamilyName")
    var familyName: String? = null
} // Class PropertyEquip