package com.persagy.server.services.rel

import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty

/**
 * 竖井下的业务空间  一对多  一个业务空间对应多个竖井
 *
 * @author 付国宝
 */
@ApiModel(description = "竖井下的业务空间")
open class RSpContainShBaseList : SBaseEntity() {

    /** 业务空间id */
    @ApiModelProperty(value = "业务空间id")
    var spaceId: String? = null

    /** 竖井id列表 */
    @ApiModelProperty(value = "竖井id列表")
    var shaftIdList: ArrayList<String>? = null

    /** 业务空间类型 */
    @ApiModelProperty(value = "业务空间类型")
    var zoneType: String? = null

} // Class RSpContainShBaseList