package com.persagy.server.models

import com.persagy.server.datacenter.models.entities.objects.ZoneIspace
import com.persagy.service.models.responses.SQueryResponse
import io.swagger.annotations.ApiModelProperty

class SpaceSQueryResponse: SQueryResponse<ZoneIspace>() {

    /** 楼层id */
    @ApiModelProperty(value = "楼层id")
    var floorId: String? = null

    @ApiModelProperty(value = "空间类型")
    var zoneType: String? = null

} // Class SpaceSQueryResponse