package com.persagy.server.models.labsl

import com.persagy.server.datacenter.models.entities.objects.Equipment
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Table

/**
 * 设备类
 *
 * @author wx  <zhangweixin@sagacloud.com>
 * @date  2020/10/21 14:39
 */
@ApiModel(description = "设备信息实体类")
@Table(name = "v_equip_type_labsl")
class EquipTypeLabsl: Equipment() {

    @ApiModelProperty(value = "设备类型")
    @Column(name = "code_name")
    var codeName: String? = null

}