package com.persagy.server.sso.interceptors;//package cn.sagacloud.server.adm.interceptors

//
//import com.sagacloud.admin.entity.User;
//import com.sagacloud.admin.model.UserModel;
//import com.sagacloud.admin.repository.UserRepository;
//import com.sagacloud.common.json.JsonMapper;
//import com.sagacloud.common.web.MapResponse;
//import com.sagacloud.common.web.ServletUtils;
//import com.sagacloud.feign.SSOServiceClient;
//import org.apache.shiro.SecurityUtils;
//import org.apache.shiro.authc.UsernamePasswordToken;
//import org.apache.shiro.subject.Subject;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
//class SessionInterceptor : HandlerInterceptorAdapter {
//
//    final Logger logger = LoggerFactory.getLogger(SessionInterceptor.class);
//
//    @Autowired
//    private SSOServiceClient ssoServiceClient;
//
//    @Autowired
//    private UserRepository userRepository;
//
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
//        logger.info("开始请求地址拦截");
//        ServletUtils.showHeaders(request);
//        ServletUtils.showCookies(request);
//        String token = request.getHeader("sso-token");
//
//        if (token == null) {
//            ServletUtils.writeJson(response, "{\"result\":\"unauthc\",\"message\":\"no token\"}");
//            return false;
//        }
//
//        try {
//            Subject subject = SecurityUtils.getSubject();
//            if (subject.isAuthenticated()) {
//                Object principal = subject.getPrincipal();
//                if (principal instanceof UserModel) {
//                    // 防止前端切换用户, 用token做密码
//                    UserModel userModel = (UserModel) principal;
//                    if (!userModel.getToken().equalsIgnoreCase(token)) {
//                        return checkToken(subject, token, response);
//                    }
//                } else {
//                    return checkToken(subject, token, response);
//                }
//            } else {
//                return checkToken(subject, token, response);
//            }
//        } catch (Exception e) {
//            e.printStackTrace();
//            logger.error("login check error: {}", e);
//            return false;
//        }
//        return true;
//    }
//
//    private boolean checkToken(Subject subject, String token, HttpServletResponse response) {
//        MapResponse resp = ssoServiceClient.tokenCheck(token);
//        logger.info("token check resp: {}", JsonMapper.toSimpleJson(resp));
//        if (!resp.success()) {
//            logger.error("go to login");
//            ServletUtils.writeJson(response, JsonMapper.toSimpleJson(resp));
//            return false;
//        }
//
//        Integer userId = resp.getInteger("id");
//        User user = userRepository.findOne(userId);
//
//        if (user == null) {
//            // 用户不存在
//            ServletUtils.writeJson(response, "{\"result\": \"nouser\"}");
//            return false;
//        } else {
//            UsernamePasswordToken shiroToken = new UsernamePasswordToken(user.getName(), token);
//            subject.login(shiroToken);
//        }
//        return true;
//    }
//
//}
